2003-05-29  Ian Lance Taylor  <ian@airs.com>

	* Released version 1.07.

	* Makefile.am (dist-hook): New target.
	* Makefile.in: Rebuild.

2003-05-28  Ian Lance Taylor  <ian@airs.com>

	* uucico.c (uhelp): Make capitalization consistent.

	* proty.c: Add prototype declaration for fyxchg_syncs.

2002-03-07  Ian Lance Taylor  <ian@airs.com>

	* configure.in: Substitute NEWCONFIGDIR and OLDCONFIGDIR rather
	than defining them.
	* uuconf/Makefile.am (AM_CFLAGS): Define NEWCONFIGLIB and
	OLDCONFIGLIB.
	* configure, config.h.in, Makefile.in, */Makefile.in: Rebuild.

2002-03-06  Ian Lance Taylor  <ian@airs.com>

	* uucp.texi (Compilation): Use @option in table of configure
	options.
	(Configuration Files): The newconfigdir variable is now set using
	a configure option.

	* configure.in: Don't assume that ac_cv_func_getline will be
	defined, since we no longer always test for the presence of
	getline.
	* configure, config.h.in: Rebuild.

2002-03-05  Ian Lance Taylor  <ian@airs.com>

	* Released beta version 1.07.

	* configure.in: Don't define SBINDIR.
	* unix/Makefile.am (AM_CFLAGS): Define SBINDIR.
	* configure, config.h.in, unix/Makefile.in: Rebuild.

	* Makefile.am (EXTRA_DIST): Define.
	* Makefile.in: Rebuild.

	* Makefile.am (UUHEADERS): Add sysdep.h.
	* unix/Makefile.am (libunix_a_SOURCES): Add fsusg.h.
	* uuconf/Makefile.am (libuuconf_a_SOURCES): Add alloc.h, syshdr.h,
	and uucnfi.h.
	* Makefile.in, unix/Makefile.in, uuconf/Makefile.in: Rebuild.

	* uucico.c (fcall): If a port was specified on the command line,
	and the current alternate does not use that port, but a later
	alternate does, then skip to the later alternate.

	* uucp.texi: Use new Texinfo commands @command, @option, @email,
	and @url.

	* uucp.texi: Update version number to 1.07.

	* uucico.8: Don't specify debugging file location, just mention
	uulog -D.
	* uuxqt.8: Likewise.
	* uux.1: Mention /var/spool/uucppublic as possible public
	directory location.

	* cu.1: Remove FILES section.  Update version number to 1.07.
	* uucp.1: Likewise.
	* uustat.1: Likewise.
	* uux.1: Likewise.
	* uucico.8: Likewise.
	* uuxqt.8: Likewise.

	* policy.h: Add some comments for modern systems.
	(HAVE_UNBLOCKED_WRITES): Default to 1.

2002-03-02  Ian Lance Taylor  <ian@airs.com>

	* trans.h (FEATURE_QUOTES): Define.
	* lib/quote.c: New file.
	* lib/quotes.c: New file.
	* lib/parse.c (ulunquote_cmd): New static function.
	(fparse_cmd): Call it before returning.
	* unix/splcmd.c (zsysdep_spool_commands): Quote command if
	necessary.  Remove whitespace check.
	* send.c (flocal_send_request): Quote command if necessary.
	(fsend_exec_file_init): Quote execution file if necessary.
	(usadd_exec_line): Add fquote parameter.
	* rec.c (flocal_rec_send_request): Quote command if necessary.
	(frec_file_end): Quote execution file if necessary.
	* xcmd.c (flocal_xcmd_request): Quote command if necessary.
	* uucico.c (fdo_call): Add FEATURE_QUOTES to -N option.
	(faccept_call): Add FEATURE_QUOTES to ROKN argument.
	* uuxqt.c (fQquoted): New static variable.
	(asQcmds): Add "Q".
	(uqdo_xqt_file): Initialize and check fQquoted.
	* uux.c (fXquote, fXquote_output): New static variables.
	(main): Don't check for whitespace in notification address--revert
	patch of 2002-02-16.  Set fXquote if quoting is needed.
	(uxadd_xqt_line): If fXquote, quote strings.
	* uucp.c (main): Don't check for whitespace in notification
	address--revert patch of 2002-02-16.
	* uudefs.h: Declare fparse_cmd, fcmd_needs_quotes, uquote_cmd,
	ufree_quoted_cmd, and zquote_cmd_string.
	* uucp.texi (Execution File Format): Document "Q" command.
	(The Initial Handshake): Document feature bitmask 040--
	FEATURE_QUOTES.
	(UUCP Protocol Commands): Document -q option for all commands.
	* lib/Makefile.am (libuucp_a_SOURCES): Add quote.c and quotes.c.
	* lib/Makefile.in: Rebuild.

2002-02-26  Ian Lance Taylor  <ian@airs.com>

	* Peter Rye: contrib/xchat.c: (do_script): Correct brace
	placement.
	* contrib/xc-conf.h-dist: Include "../config.h" rather than
	"../conf.h".
	* contrib/Ringback.Hayes: New file.

	* uuconf.h (struct uuconf_tcp_port): Add uuconf_iversion field.
	* unix/tcp.c (ftcp_set_hints): New static function.
	(ftcp_open): Use ftcp_set_hints.  Check version when falling back
	to IPv4 code.  Use IPV6_BINDV6ONLY option if it is defined.
	(ftcp_dial): Use ftcp_set_hints.  Check version when falling back
	to IPv4 code.
	* uuconf/tportc.c (asPtcp_cmds): Add "version".
	(_uuconf_iport_cmd): Initialize uuconf_iversion field.
	* uuconf/hport.c (uuconf_hdb_find_port): Initialize
	uuconf_iversion field.
	* uuconf/vsinfo.c (_uuconf_iv2_system_internal): Likewise.
	* uuchk.c (ikshow_port): Report TCP port version number.
	* uucp.texi (port File): Document new "version" command.

2002-02-24  Ian Lance Taylor  <ian@airs.com>

	* conn.c (fconn_lock): Add fuser parameter.  Change all callers.
	(fconn_open): Likewise.
	* conn.h (struct sconncmds): Add fuser parameter to pflock and
	pfopen.
	(fconn_lock, fconn_open): Update declarations.
	* cu.c (struct sconninfo): Add fdirect field.
	(main): Initialize sinfo.fdirect.
	* unix/pipe.c (fspipe_open): Add fuser parameter.
	* unix/serial.c (fsserial_lock, fsserial_open): Likewise.
	(fsstdin_open, fsmodem_open, fsdirect_open): Likewise.
	* unix/tcp.c (ftcp_open): Likewise.
	* unix/tli.c (ftli_open): Likewise.

	* uux.c: Include <sysexits.h> if available.  Define macros from
	<sysexits.h> if not defined.  Change all calls to exit to use EX_*
	macros.  Change all calls to fsysdep_exit to use exit.
	(main): Pass uxfatal rather than uxabort to ulog_fatal_fn.  Do it
	at the start of the function.
	(uxfatal): New static function.
	(uxabort): Add istat parameter.  Change all callers.
	* unix/splcmd.c (zsysdep_spool_commands): Add pftemp parameter.
	Change call callers.
	* system.h (zsysdep_spool_commands): Update declaration.
	* uucp.texi (uux Description): Document uux exit status.
	* uux.1: Likewise.

	* unix/walk.c (iswalk_dir): Mark qstat as unused.

2002-02-22  Ian Lance Taylor  <ian@airs.com>

	* uucp.c (uccopy): When doing a local copy, copy the file mode as
	well.

	* configure.in: Only check for getline if getdelim is present.
	* configure: Rebuild.

	* unix/serial.c (asSbaud_table): Add more entries.

	* uucp.c (uchelp): Correct text: -u is like --user, not --usage.

	* John Hughes: uucp.c (asClongopts): Correct --noexpand to -W.

	* uuto.in: Add support for --version and --help options.
	* Makefile.am (uuto): Substitute version number for @VERS@.
	* Makefile.in: Rebuild.

	* Marcus Shang: unix/xqtsub.c (fsysdep_execute): If the output
	file is in the spool directory, create subdirectories if
	necessary.

	* uucico.c (fconn_call): If all matching ports are in use, set
	system status to STATUS_PORT_FAILED.

	* uuchk.c (ukhelp): Update copyright.  Add bug reporting address.
	* uucico.c (uhelp): Likewise.
	* uucp.c (uchelp): Likewise.
	* uulog.c (ulhelp): Likewise.
	* uuname.c (unhelp): Likewise.
	* uustat.c (ushelp): Likewise.
	* uux.c (uxhelp): Likewise.
	* uuxqt.c (uqhelp): Likewise.
	* cu.c (ucuhelp): Likewise.  Output to stdout.
	* uuconv.c (uvhelp): Likewise.
	* uupick.c (uphelp): Likewise.

	* uuchk.c (main): Update version statement to current GNU
	standard.  Update copyright in version statement.
	* uucico.c (main): Likewise.
	* uucp.c (main): Likewise.
	* uulog.c (main): Likewise.
	* uuname.c (main): Likewise.
	* uustat.c (main): Likewise.
	* uux.c (main): Likewise.
	* uuxqt.c (main): Likewise.
	* cu.c (main): Likewise.  Output version to stdout.
	* uuconv.c (main): Likewise.
	* uupick.c (main): Likewise.

	* Tim Pozar: uucp.texi (Acknowledgements): Note that gnuucp was
	based on uuslave.

	* Michael Ju. Tokarev: unix/serial.c (fsserial_hardflow): Add
	support for CRTSXOFF used on Solaris.

	* unix/serial.c (fsserial_lockfile): In HAVE_SCO_LOCKFILES case,
	only lower case the last letter in the lock file name.
	* uucp.texi (UUCP Lock Files): Document this change.

	* unix/serial.c (fsblock): Test for EINVAL when changing the write
	descriptor as we do when changing the read descriptor.

	* unix/seq.c (ixsysdep_get_sequence): If SPOOLDIR_HDB or
	SPOOLDIR_SVR4, use .SQFILE for the name of the sequence directory,
	to avoid colliding with the command sequence number file used by
	fscmd_seq.  It's not compatible at the file level, but it might
	work.

	* uucico.c (fspawn_uuxqt): Ignore the zsys parameter.

	* Godfrey van der Linden: unix/serial.c (fsysdep_conn_io): Limit
	the delay waiting for a write to the number of bytes we are
	prepared to read.

2002-02-17  Ian Lance Taylor  <ian@airs.com>

	* unix/serial.c (fsysdep_conn_io): If FD_ZERO is defined, use
	fd_set for the select argument.

	* Don Phillips: uustat.c (fsquery_show): Add space in the 0X case
	to make everything line up.
	* unix/status.c (fsysdep_get_status): Correct removal of trailing
	quote.

	* unix/serial.c (fsserial_open): Make sure that we can not set the
	ibaud field to zero for a terminal.
	(fsysdep_conn_io): Only use baud rate in delay calculations on a
	terminal.

2002-02-16  Ian Lance Taylor  <ian@airs.com>

	* configure.in: When checking for <sys/select.h>, only include
	<sys/time.h> if it exists.
	* configure: Rebuild.

	Raymond Nijssen: Support for hardware flow control on HP/UX.
	* unix/serial.c: Include <sys/termiox.h> if the system has it.
	(fsserial_hardflow): If HAVE_SYS_TERMIOX_H, use TCGETX/TCSETX to
	enable and disable hardware flow control.
	* configure.in: Check for existence of <sys/termiox.h>.
	* configure, config.h.in: Rebuild.

	* uucp.c (main): Check for unsupported whitespace in notification
	address.
	* uux.c (main): Likewise.

	* unix/splcmd.c (zsysdep_spool_commands): Check for unsupported
	use of white space.

2002-02-14  Ian Lance Taylor  <ian@airs.com>

	* unix/uid.c (fsuser_perms): Add piegid parameter.  Change all
	callers.
	(fsuucp_perms): Add iegid parameter.  Change all callers.
	* sysdep.h (fsuser_perms, fsuucp_perms): Update declarations.

	* John Hughes: uuconf.h (struct uuconf_system): Add
	uuconf_cmax_file_time field.
	* uuconf/syssub.c (SYSTEM_INTEGERS): Add cmax_file_time.
	* uuconf/tsinfo.c (asIcmds): Add max-file-time command.
	* trans.c (floop): Check maximum file send time.
	* uuchk.c (ukshow): Print maximum file send time.
	* uucp.texi (File Transfer Control): Document max-file-time.

	* send.c (flocal_send_await_reply): Only seek to the end of the
	file if we are already sending it.

	* trans.c (utransfree): If the file is open, close it.
	* rec.c (flocal_rec_await_reply): Don't bother closing the file on
	error.
	(fremote_send_reply): Likewise.  Set the e field to EFILECLOSED
	after closing it.
	(frec_file_end): Likewise.
	* send.c (fremote_rec_reply): Set the e field to EFILECLOSED after
	closing it.
	(fsend_await_confirm): Likewise.

	* John Hughes: trans.c (struct sreceive_ack): Move definition
	before local function prototypes.
	(utfree_queue): New static function.
	(uclear_queue): Use utfree_queue and utfree_acked.
	(utfree_receive_ack): New static function.
	(uwindow_acked): Use utfree_receive_ack.
	(utfree_acked): New static function.

	* lib/buffer.c: Add MALLOC_BUFFERS case to use malloc/free for
	each buffer, to permit easy use of debugging malloc.

	* chat.c (fcsend): Permit \M and \m in any type of chat script.
	* uucp.texi (Chat Scripts): Document \M and \m here.
	(dial File): Don't document \M and \m here.

	* uuconf/chatc.c (_uuconf_ichat_cmd): Treat chat-program used with
	no arguments as specifying no chat-program.

2002-02-08  Ian Lance Taylor  <ian@airs.com>

	* install-sh: Replace with current version from automake.

	* configure.in: Don't put AC_MSG_WARN for ftime on the same line
	as AC_MSG_RESULT.
	* configure: Rebuild.

	* uuxqt.c (uqdo_xqt_file): If uucp is not a permitted command,
	then reject a uucp command which does not have two arguments.
	(fqforward): Don't crash if zfile is NULL.

	* log.c (ulog): Add code to HDB_LOGGING case to protect the
	administrator against foolishness.

	* Meno Abels: uux.c (main): Correct off-by-one error in memory
	allocation.

	* Vadim Radionov: copy.c (fcopy_open_file): Check for read
	errors.

	* Michael Ju. Tokarev: unix/serial.c (fsserial_open): Force port
	into blocking mode, in case the chat program cares.

	* unix/umode.c: New file.
	* unix/access.c (fsysdep_daemon_access): Change error message if
	stat returns EACCES.
	* uucp.c (uccopy): Use ixsysdep_user_file_mode to get the file
	mode.
	* system.h (ixsysdep_user_file_mode): Declare.
	* unix/Makefile.am (libunix_a_SOURCES): Add umode.c.
	* unix/Makefile.in: Rebuild.

	* Roland McGrath: unix/work.c (fsysdep_get_work_init): Add cmax
	parameter.  Change all callers.
	(fsysdep_get_work): Likewise.
	* system.h (fsysdep_get_work_init): Update declaration.
	(fsysdep_get_work): Likewise.

	* unix/tcp.c: Use getaddrinfo if available to decide how to call
	the socket functions.
	* configure.in: Check for getaddrinfo and struct
	sockaddr_storage.
	* configure, config.h.in: Rebuild.

	* unix/mkdirs.c (fsysdep_make_dirs): Correct error message in case
	where we don't have permission to create the directory.

2002-02-07  Ian Lance Taylor  <ian@airs.com>

	* John Hughes: uuxqt.c (uqcleanup): Don't unlock the execution
	file until after it has been removed, to avoid a race which may
	lead to it's being executed twice.

	* unix/xqtsub.c (fsysdep_lock_uuxqt_dir): Call fclean_uuxqt_dir.
	(fsysdep_unlock_uuxqt_dir): Move directory cleaning code into
	fclean_uuxqt_dir, and call it.
	(fclean_uuxqt_dir): New static function.

	* unix/xqtsub.c (fsysdep_copy_uuxqt_files): Rename from
	fsysdep_move_uuxqt_files.  Remove fto parameter.  Use link instead
	of rename.  Don't bother moving files back on failure.
	* uuxqt.c (uqdo_xqt_file): Call fsysdep_copy_uuxqt_files rather
	than fsysdep_move_uuxqt_files.  Remove call to
	fsysdep_move_uuxqt_files after failure.
	* system.h (fsysdep_copy_uuxqt_files): Rename declaration from
	fsysdep_move_uuxqt_files.

	* Ignatios Souvatzis: uucp.texi (Execution File Format): Correct
	example of X. file.

	* uucp.c (uccopy): Add fforcelocal option.  Change all callers.

	* protz.c (fzwait): Remove unreachable return statement.

	* unix/lock.c (fsdo_lock): Test for error when removing read only
	stale lock file.

2002-02-06  Ian Lance Taylor  <ian@airs.com>

	* uuxqt.c (uqdo_xqt_file): Check for long versions of prohibited
	options.
	* uucp.c (asClongopts): Add comment indicating that changes here
	must be reflected in uuxqt.c.

	* MANIFEST, */MANIFEST: Remove.  These files are not used by
	automake.

	* uuconf/cnfnms.c: New file.
	* uuconf.h (struct uuconf_config_file_names): Define.
	(uuconf_config_files): Declare.
	* uuchk.c (main): Dump configuration file names.
	(ukshow_names): New static function.
	* uuconf/Makefile.am (libuuconf_a_SOURCES): Add cnfnms.c.
	* uuconf/Makefile.in: Rebuild.

2002-01-17  Ian Lance Taylor  <ian@airs.com>

	* Many files: Change types and add casts and attributes to avoid
	warnings.

	* uudefs.h: Use attribute macro in ulog declaration.

	* uucp.h: Add GCC attribute macros.

	* configure.in: Add --enable-build-warnings option.
	* Makefile.am (AM_CFLAGS): Add $(WARN_CFLAGS).
	* lib/Makefile.am (AM_CFLAGS): Likewise.
	* unix/Makefile.am (AM_CFLAGS): Likewise.
	* uuconf/Makefile.am (AM_CFLAGS): Likewise.
	* configure, Makefile.in: Rebuild.
	* lib/Makefile.in, unix/Makefile.in, uuconf/Makefile.in: Rebuild.

2002-01-16  Ian Lance Taylor  <ian@airs.com>

	* Makefile.am: New file.
	* lib/Makefile.am: New file.
	* uuconf/Makefile.am: New file.
	* unix/Makefile.am: New file.
	* configure.in: Call AM_INIT_AUTOMAKE.  Change AC_CONFIG_HEADER to
	AM_CONFIG_HEADER.  Call AM_MAINTAINER_MODE.  Call AC_ARG_WITH for
	user name and configuration directories.  Define SBINDIR.  Don't
	call AC_PROG_INSTALL, AC_PROG_MAKE_SET, AC_C_CROSS.  Add
	descriptions to all AC_DEFINE calls.  Don't set or substitute
	CFLAGS or LDFLAGS.  Add UUDIR conditional.  Don't create stamp-h
	in AC_OUTPUT.
	* Makefile.in: Build using automake.
	* lib/Makefile.in: Likewise.
	* uuconf/Makefile.in: Likewise.
	* unix/Makefile.in: Likewise.
	* aclocal.m4: Build using aclocal.
	* config.h.in: Build using autoheader.
	* configure: Rebuild.
	* stamp-h.in: New timestamp file.

	* sysdep.h: Rename from sysh.unx.  A non-Unix port looks
	unlikely.
	* uuconf/syshdr.h: Rename from uuconf/syshdr.unx.

	* AUTHORS: New file, required by automake --gnu.
	* INSTALL: Likewise.  Generic version at least for now.
	* compile: New file, required by automake --gnu.
	* depcomp: Likewise.
	* missing: Likewise.
	* mkinstalldirs: Likewise.
	* texinfo.tex: Likewise.

	* .cvsignore: Ignore uucp.info* files.

Mon Sep 16 21:29:10 1996  Ian Lance Taylor  <ian@airs.com>

	* trans.c (floop): Don't request a hangup if we are waiting for
	data for a job and we only have one channel.

Sun Aug 20 15:12:36 1995  Ian Lance Taylor  <ian@airs.com>

	* Released version 1.06.1.

	* uux.c (main): Make sure that the grade is between '0' and '9',
	or 'a' and 'z', or 'A' and 'Z', in case isalnum accepts other
	characters.
	* uucp.c (main): Likewise.

Sat Aug 19 23:15:21 1995  Ian Lance Taylor  <ian@airs.com>

	* configure.in: Check for seteuid.
	* configure: Rebuild.
	* config.h.in (HAVE_SETEUID): Define.
	* unix/uid.c: If HAVE_SETEUID is defined, use seteuid rather than
	setuid.
	* policy.h: Change HAVE_BROKEN_SETREUID comment to mention that it
	does not work on 4.4BSD-Lite and NetBSD.

	* Andrey A. Chernov: uuconf.h (UUCONF_GRADE_LEGAL): Use BUCHAR.

Wed Aug 16 21:23:39 1995  Ian Lance Taylor  <ian@airs.com>

	* uucico.c (flogin_prompt): Add pzsystem parameter, and pass it to
	faccept_call.  Change all callers.

	* trans.c (qtransalc): Clear zlog field.

	* Makefile.in (VERSION): Change to 1.06.1.

Thu Aug 10 22:42:53 1995  Ian Lance Taylor  <ian@airs.com>

	* Released version 1.06.

	* uuconf/tsinfo.c (_uuconf_itaylor_system_internal): Don't set
	uuconf_fcall merely because uuconf_qtimegrade is not set.  Check
	values against _uuconf_unset, not NULL.

	* trans.c (fgot_data): Only log when data comes in if fsendfile is
	FALSE.

Wed Aug  9 20:52:29 1995  Ian Lance Taylor  <ian@airs.com>

	* Makefile.in (VERSION): Change to 1.06.

Tue Aug  1 20:13:36 1995  Ian Lance Taylor  <ian@airs.com>

	* uuconf/tsinfo.c (_uuconf_itaylor_system_internal): Set the fcall
	field for the first alternate if it has some way of selecting a
	port.

	* Ard van Breemen: unix/serial.c (fsserial_hardflow): Add support
	for NCR Tower using IRTS.

	* policy.h (FSYNC_ON_CLOSE): Define.
	* system.h (fsysdep_sync): Declare.
	* uucp.h (fstdiosync): Define, twice.
	* unix/sync.c: New file.
	* copy.c (fcopy_open_file): Call fsysdep_sync.
	* cu.c (icutake): Likewise.
	* rec.c (frec_file_end): Likewise.
	(frec_file_end): Call fstdiosync.
	* uucp.c (uccopy): Likewise.
	* uux.c (main): Likewise.
	(uxadd_send_file): Likewise.
	* unix/splcmd.c (zsysdep_spool_commands): Likewise.
	* unix/Makefile.in (OBJS): Add sync.o.
	(sync.o): New target.

	* Peter Wemm: unix/filnam.c (fscmd_seq): Increase the delay each
	time an attempt to lock LCK..SEQ fails.

	* Peter Wemm: uustat.c (fsnotify): Escape a leading "From " when
	including standard input in a mail message.

Mon Jul 31 22:45:23 1995  Ian Lance Taylor  <ian@airs.com>

	* unix/serial.c (fsserial_lockfile): In the HAVE_SVR4_LOCKFILES
	case, increase the space allocated to print the major and minor
	numbers.

Sun Jul 30 22:30:51 1995  Ian Lance Taylor  <ian@airs.com>

	* trans.c (fgot_data): Log a message as soon as anything comes in,
	not just for file data.

	* prote.c (feprocess_data): Handle a zero length file.

Wed Jul 19 00:14:46 1995  Ian Lance Taylor  <ian@airs.com>

	* unix/xqtfil.c (fSone_dir): New static variable.
	(fsysdep_get_xqt_init): Add zsystem argument.
	(zsysdep_get_xqt): Likewise.
	(usysdep_get_xqt_free): Likewise.
	* system.h (fsysdep_get_xqt_init): Update declaration.
	(zsysdep_get_xqt): Likewise.
	(usysdep_get_xqt_free): Likewise.
	* uuxqt.c (main): Pass zdosys for system to get_xqt routines.
	* uustat.c (fsexecutions): Pass NULL for system to get_xqt
	routines.
	(fsquery): Likewise.

	* uux.c (main): If we are not starting uucico, and we queued a
	local execution, start uuxqt.

Tue Jul 18 22:33:08 1995  Ian Lance Taylor  <ian@airs.com>

	* uuxqt.c (REMOVE_QINPUT): Define.
	(uqdo_xqt_file): Set REMOVE_QINPUT if zQinput is in the spool
	directory.
	(isave_files): If REMOVE_QINPUT is set, save the input file.
	(uqcleanup): If REMOVE_QINPUT and REMOVE_NEEDED are set, remove
	the input file.

Mon Jul 17 20:59:20 1995  Ian Lance Taylor  <ian@airs.com>

	* uuchk.c (ukshow): Add missing \n.

Sun Jul 16 12:02:03 1995  Ian Lance Taylor  <ian@airs.com>

	* Makefile.in (TEXI2HTML): Define.
	(doc-dist): Depend upon uucp.html; put HTML files in documentation
	distribution.
	(html, uucp.html): New targets.

Mon Jul 10 20:24:48 1995  Ian Lance Taylor  <ian@airs.com>

	* unix/lcksys.c: Rewrite to not truncate the system name in the
	lock file name, unless HAVE_LONG_FILE_NAMES is 0.

Sat Jul  8 13:41:26 1995  Ian Lance Taylor  <ian@airs.com>

	* Andrey A. Chernov: cu.c (ucuhelp): Mention -E.
	(fcudo_cmd): Use BUCHAR rather than casting to unsigned int.
	(icuunrecogvar): Likewise.
	(uculist_vars): Likewise.
	(icuunrecogfn): Likewise.
	* lib/getopt.c (_getopt_internal): Likewise.

	* Andrey A. Chernov: Makefile.in (infodir): Changed commented out
	setting from share/doc to share/info.

	* Godfrey van der Linden: unix/serial.c (fsysdep_conn_io): Base
	select or alarm timeout on connection speed.

	* configure.in: Move AC_PREFIX_PROGRAM before AC_PROG_CC.
	* configure: Rebuild.

	* policy.h (HAVE_BROKEN_SETLKW): Add new define.
	* unix/filnam.c (USE_POSIX_LOCKS): Don't set if HAVE_BROKEN_SETLKW
	is set.
	(fscmd_seq): If the F_SETLKW call returns EINVAL, revert to using
	lock files.

	* unix/spawn.c (ixsspawn): If setreuid is available, use it,
	rather than setuid, to set the real user ID to the effective user
	ID.

	* Thomas Mechtersheimer: uuchk.c (main): Correct typo (iret for
	iint).

	* Bob Thrush: unix/serial.c (fsserial_hardflow): Correct typo
	(c_cflags for c_cflag).

	* configure.in: Check for sys/statvfs.h.  Check for memset,
	memcmp, and memcpy with the correct argument types (apparently
	some systems require this).
	* config.h.in (HAVE_SYS_STATVFS_H): Define.
	* configure: Rebuild.

Mon Jul  3 00:26:50 1995  Ian Lance Taylor  <ian@airs.com>

	* Released version beta 1.06.

Sun Jul  2 10:39:40 1995  Ian Lance Taylor  <ian@airs.com>

	* configure.in: Add AC_OUTPUT code to touch stamp-h when
	rebuilding config.h.
	* Makefile.in (stamp-h): Remove ``echo > stamp-h''.

	* Makefile.in (dist): Fix for srcdir != objdir.
	* unix/Makefile.in (dist): Likewise.
	* uuconf/Makefile.in (dist): Likewise.
	* lib/Makefile.in (dist): Likewise.

Sat Jul  1 13:42:35 1995  Ian Lance Taylor  <ian@airs.com>

	* configure.in: Check for termios.h.
	* config.h.in (HAVE_TERMIOS_H): Mention.
	* policy.h: Set HAVE_POSIX_TERMIOS if HAVE_TERMIOS_H.

Fri Jun 30 09:24:13 1995  Ian Lance Taylor  <ian@airs.com>

	* uux.c (zXxqt_name): Remove.
	(fXxqtlocal): New static variable; replaces local fxqtlocal.
	(sXxqtsys): New static variable; replaces local sxqtsys.
	(zXxqtloc): New static variable; replaces local zxqtloc.
	(bXgrade): New static variable; replaces local bgrade.
	(abXxqt_tname): New static variable; replaces local abxqt_tname.
	(abXxqt_xname): New static variable; replaces local abxqt_xname.
	(main): Use new static variables instead of locals.  Don't set
	zXxqt_name.
	(uxadd_xqt_line): Get file name here before opening file.
	(uxadd_send_file): Remove parameters qxqtsys, zxqtloc, and bgrade.
	Change all callers.

	* unix/filnam.c (usput62): New static function.
	(zscmd_file): When SPOOLDIR_TAYLOR, use a different algorithm
	which does not read the sequence file.
	* unix/splcmd.c (zsysdep_spool_commands): Return value of
	zscmd_file might already exist; handle that case.
	* unix/jobid.c (zsfile_to_jobid): Change jobid format when
	SPOOLDIR_TAYLOR, since sequence number is now much longer.
	(zsjobid_to_file): Corresponding change.
	* unix/work.c (fswork_file): When SPOOLDIR_TAYLOR, don't require
	the the file name to be 7 characters long.
	(bsgrade): Change algorithm used when SPOOLDIR_TAYLOR.

	* uustat.c (fsworkfile_show): Correct kill prompt to put program
	name at start of line.  Add trailing space after question mark.
	(fsexecutions): Likewise.

	* unix/work.c (fsysdep_get_work): Don't call fsysdep_get_work_init
	if no more jobs are found.

Thu Jun 29 15:27:31 1995  Ian Lance Taylor  <ian@airs.com>

	* fsusg.c: Update with changes from fileutils 3.12.
	* configure.in: Update filesystem space tests to fileutils 3.12.
	* config.h.in: Corresponding changes.

	* unix/filnam.c (fscmd_seq): If F_SETLKW fails with ENOMEM,
	ENOSPC, or ENOLCK, sleep and try again.

	* Makefile.in (MORECFLAGS): Remove unused SBINDIR definition.
	* unix/Makefile.in (run.o): Add dependency on Makefile and
	../Makefile, so that it is rebuilt if sbindir changes.
	* uuconf/Makefile.in (callin.o): Add dependency on Makefile and
	../Makefile, so that it is rebuilt if NEWCONFIGLIB or OLDCONFIGLIB
	change.
	(hinit.o, hrmunk.o, maxuxq.o, rdperm.o, tinit.o): Likewise.
	(vinit.o): Likewise.

	* cu.c (main, ucuhelp): Update copyright.
	* tstuu.c (main): Likewise.
	* uuchk.c (main, ukhelp): Likewise.
	* uucico.c (main, uhelp): Likewise.
	* uuconv.c (main, uvhelp): Likewise.
	* uucp.c (main, uchelp): Likewise.
	* uulog.c (main, ulhelp): Likewise.
	* uuname.c (main, unhelp): Likewise.
	* uupick.c (main, uphelp): Likewise.
	* uustat.c (main, ushelp): Likewise.
	* uux.c (main, uxhelp): Likewise.
	* uuxqt.c (main, uqhelp): Likewise.

	* Makefile.in (VERSION): Update to beta1.06.

Wed Jun 28 10:36:35 1995  Ian Lance Taylor  <ian@airs.com>

	* trans.c (struct scharge, sTsend, sTreceive): Remove.
	(qTtiming_rec, iTrecsecs, iTrecmicros): New static variables.
	(fqueue_receive): If adding something to an empty receive queue,
	update iTrecsecs and iTrecmicros.
	(utransfree): Remove references to sTsend and sTreceive.  If
	freeing qTtiming_rec, clear it.
	(ftcharge): Remove.  Remove all calls to it.
	(fttime): New static function.
	(uclear_queue): Clear qTtiming_rec.
	(floop): Add timing code to replace ftcharge.
	(fgot_data): Likewise.
	(ftadd_cmd): Set s.bcmd to 'H' for a hangup request, for better
	debugging information.
	(ufailed): Remove setting of iTchecktime and calls to ftcharge.

	* uuconf.h (UUCONF_STRIP_LOGIN): Define.
	(UUCONF_STRIP_PROTO): Define.
	(uuconf_strip): Declare.
	* uuconf/strip.c: New file, definining uuconf_strip.
	* uuconf/Makefile.in (OBJS): Add strip.o.
	* uuconf/uucnfi.h (struct sprocess): Add new fields fstrip_login
	and fstrip_proto.
	* uuconf/iniglb.c (_uuconf_iinit_global): Initialize new fields.
	* uuconf/tinit.c (asCmds): Add "strip-login" and "strip-proto".
	* uucico.c (fdo_call): Check whether protocol commands should be
	stripped, and pass information to zget_uucp_cmd.
	(faccept_call): Likewise.
	(flogin_prompt): Check whether login commands should be stripped,
	and pass information to zget_typed_line.
	(zget_uucp_cmd): Add fstrip argument, and use it to control
	whether incoming characters are stripped.
	(zget_typed_line): Likewise.
	* uuchk.c (main): Report uuconf_strip information.

Mon Jun 26 17:57:14 1995  Ian Lance Taylor  <ian@airs.com>

	* uuchk.c (main): Report global configuration information.

	* uux.c (main): If an attempt is made to execute an empty command,
	just create a poll file instead.

	* uupick.c (main): Mention 'd' as a possible command.

Wed Jun 21 16:16:13 1995  Ian Lance Taylor  <ian@airs.com>

	* unix/filnam.c (fscmd_seq): If available, use POSIX style locking
	for the sequence file.  Use IPRIVATE_FILE_MODE when creating the
	sequene file.

	* copy.c (fcopy_file): Add fsignals argument, and pass it to
	fcopy_open_file.  Update all callers.
	(fcopy_open_file): Add fsignals argument; if TRUE, check for
	signals while copying the file.  Update all callers.
	* uudefs.h (fcopy_file, fcopy_open_file): Update prototypes.

Thu Jun 15 20:34:00 1995  Ian Lance Taylor  <ian@airs.com>

	* Rob Janssen: getopt.h: Don't fail if P is not defined because
	this file got included by something other than uucp.h.

Tue Jun  6 13:17:14 1995  Ian Lance Taylor  <ian@airs.com>

	* log.c (ulog): Always open the log file even if zmsg is NULL.
	* unix/detach.c (usysdep_detach): Call ulog with NULL before
	closing stderr.

	* log.c (ulog): Print file name correctly under HDB_LOGGING if an
	error occurs.

	* Andrey A. Chernov: uucp.h: Use off_t rather than long when
	casting arguments to lseek.

	* proti.c (IMAXPACKSIZE): Subtract one.
	(fijstart): Correct iIforced_remote_packsize check.

	* unix/filnam.c (zsfile_name): Only use remote system name in
	local filename for SPOOLDIR_SVR4, not for SPOOLDIR_HDB.

	* Peter da Silva: cu.c (asCulongopts): Add "escape".
	(main): Handle -E/--escape.
	* cu.1: Document -E/--escape.
	* unix/cusub.c (fsysdep_cu): Don't treat \0 as an escape
	character.

	* Takatoshi Ikeda: log.c (ustats): Base 'M' vs. 'S' in HDB_LOGGING
	on fcaller, not on fmaster.
	(zldate_and_time): In HDB_LOGGING, don't zero fill the hour.
	* uudefs.h (ustats): Change argument name in prototype.
	* send.c (fsend_await_confirm): Pass fcaller rather than fmaster
	to ustats.
	* rec.c (frec_file_end): Likewise.
	* trans.c (ufailed): Likewise.

	* unix/tcp.c: Include <arpa/inet.h>.
	(ftcp_dial): If gethostbyname fails, try inet_addr.

	* Jim Brownfield: unix/detach.c (usysdep_detach): Call TIOCNOTTY
	on /dev/tty, not on file descriptor 0.

	* uuchk.c (ukshow): If the system will never be called, say so
	explicitly.

	* unix/pause.c (usysdep_pause): When using poll, clear the sdummy
	structure before passing it down.

	* unix/bytfre.c (csysdep_bytes_free): Check for overflow.

	* C.A. Lademann: cu.c (asCulongopts): Add "nostop".
	(main): Handle --nostop.
	(ucuhelp): Mention --nostop.
	* cu.1: Document --nostop.

	* Dean Edmonds: cu.c (fcuset_var): Copy string before calling
	uuconf_cmd_args, and handle UUCONF_CMDTABRET_KEEP correctly.

	* Jorge Cwik: Add support for 'y' protocol.
	* proty.c: New file, written by Jorge Cwik.
	* prot.h: Declare 'y' protocol functions.
	* uucico.c (asProtocols): Add entry for 'y' protocol.
	* Makefile.in (UUOBJS): Add proty.o.
	(ALLOBJS): Add proty.o.
	(proty.o): New target.

Mon Jun  5 12:05:22 1995  Ian Lance Taylor  <ian@airs.com>

	* cu.c (main): Don't clobber user specified ibaud when a specific
	system is being called.

	* unix/serial.c (fsysdep_stdin_init): chmod /dev/tty to 0600 to
	prevent other users from writing to it.

	* uux.c (main): If the argument is quoted by parentheses, don't
	break it at shell separator characters.

	* protg.c (fgprocess_data): Don't treat a duplicate RR as an RJ if
	we are retransmitting packets.  Corrects change of May 15, 1993.

	* unix/lock.c (fsdo_lock): Log an error message if the LOCKFILES
	define appears to not match the contents of the lock file.

Sun Jun  4 14:25:43 1995  Ian Lance Taylor  <ian@airs.com>

	* Makefile.in (uucp.info): Use explicit $(srcdir) rather than $<.
	(uucp.dvi): Likewise.
	(uucp.ps): Use uucp.dvi rather than $<.

	* Scott Guthridge: cu.c (icutake): Skip \r characters unless
	fCuvar_binary is set.

	* unix/status.c (fsysdep_get_status): Ignore double quotes around
	description string in status file.
	(fsysdep_set_status): If SPOOLDIR_SVR4, put double quotes around
	description string.

	* uustat.c (fsxqt_file_read): Change second argument from file
	name to open file.
	(fsworkfile_show): Make sure execution file can be opened before
	displaying information in execution file format.
	(fsexecutions): Open file before passing it to fsxqt_file_read.

	* uucp.h (ffileioerror): Rename from ffilereaderror.
	* cu.c (icuput): Corresponding change.
	* trans.c (floop): Likewise.
	(fgot_data): Use ffileioerror to decide whether to print message
	using errno.

	* uuconv.c (uvwrite_taylor_port): Fix handling of dialer-sequence
	for a modem port to actually print ``dialer-sequence''.

	* uuconf/hsinfo.c (_uuconf_ihdb_system_internal): Treat a syntax
	error in the time field as equivalent to ``never''.
	* uuconf/vsinfo.c (_uuconf_iv2_system_internal): Likewise.

	* uuchk.c (ukshow): Print max-retries information.

	* Don Phillips: Add support for new called-timegrade command.
	* uuconf.h (struct uuconf_system): Add uuconf_qcalledtimegrade
	field.
	* uuconf/tsinfo.c (asIcmds): Add "called-timegrade".
	* uuconf/syssub.c (SYSTEM_TIMESPANS): Add uuconf_qcalledtimegrade.
	* trans.c (fqueue): Check uuconf_qcalledtimegrade.
	* uuchk.c (ukshow): Print called-timegrade and success-wait
	information.
	* uuconv.c (uvwrite_taylor_system): Handled called-timegrade.

	* unix/xqtsub.c (fsysdep_lock_uuxqt_dir): Accept EISDIR.

	* Damon: unix/mkdirs.c (fsysdep_make_dirs): Accept EROFS.

Sat May 27 09:55:38 1995  Ian Lance Taylor  <ian@airs.com>

	* unix/detach.c (usysdep_detach): Mention routine name in
	debugging message.

	* tstuu.c (main): Exit with an error message if not compiled with
        HAVE_TAYLOR_CONFIG.

	* Jim Avera: Makefile.in (install-info): Get the info files from
	the source directory if they aren't in the object directory.

	* uuchk.c (main): Accept -s to only print information for a
	specific system.
	(asKlongopts): Add --system as a synonym for -s.
 	(ukusage): Mention -s.
	(ukhelp): Likewise.

	* Makefile.in (uuconf/libuuconf.a): Depend upon config.h.
	(unix/libunix.a, lib/libuucp.a): Likewise.

	* Matthias Urlichs and Olaf Kirch: If an execution fails, save the
	files.
	* sysh.unx (FAILEDDIR): Define.
	* system.h (zsysdep_save_failed_file): Declare.
	* uuxqt.c (uqdo_xqt_file): Call isave_files if an execution fails.
	Move the execution files out of the execution directory on any
	failure, not just a temporary one.
	(isave_files): New function; pass all the execution files to
	zsysdep_save_failed_file, and send mail to OWNER.
	* unix/failed.c: New file.
	* unix/Makefile.in (OBJS): Add failed.o.
	(failed.o): New target.

	* Johannes Stille: Remove various race conditions, as follows:
	* rec.c (flocal_rec_send_request): Don't free qtrans if pfsendcmd
	fails.
	(fremote_send_reply): Likewise.
	(fremote_send_fail_send): Move pfsendcmd call to the end of the
	routine, after everything else has been done.
	(frec_file_send_confirm): Likewise.
	* send.c (struct ssendinfo): Add new fields fnever and zconfirm.
	(flocal_send_fail): Remove first argument; change all callers.
	(usfree_send): Free new zconfirm field.
	(flocal_send_file_init): Initialize new zconfirm field.
	(fremote_rec_file_init): Likewise.
	(flocal_send_request): Free qtrans explicitly, rather than
	expecting flocal_send_fail to do it.
	(flocal_send_request): Don't free qtrans if pfsendcmd fails.
	(flocal_send_await_reply): Use new fnever field rather than
	overloading fsent.
	(flocal_send_cancelled): Likewise.
	(flocal_send_await_reply): Set fcmd field to TRUE.
	(fremote_rec_reply): Set fcmd field to TRUE.  Set qtrans->zlog
	before calling pfsendcmd.  Don't free qtrans if pfsendcmd fails.
	(fremote_rec_fail_send): Move pfsendcmd call to the end of the
	routine, after everything else has been done.
	(fsend_file_end): If zconfirm is set, call fsend_await_confirm.
	Don't bother to set fcmd here.
	(fsend_await_confirm): If fsent is not set, just save command in
	zconfirm and return.
	(fsend_exec_file_init): Free and clear new zconfirm field.
	* xcmd.c (flocal_xcmd_request): Don't free qtrans if pfsendcmd
	fails.

	* unix/pause.c: Prefer any of the other choices to nap, since the
	meaning of nap argument varies from system to system, and the user
	may not set HAVE_HUNDREDTHS_NAP correctly.

	* unix/cusub.c (fsysdep_shell): When starting up an interactive
	shell, use the environment variable SHELL rather than /bin/sh.

Fri May 26 00:03:46 1995  Ian Lance Taylor  <ian@airs.com>

	* Chip Salzenberg: uulog.c (main): Set cluser, not clsys, when
	using HAVE_HDB_LOGGING.

	* Robert Joop: uuconf/callin.c (uuconf_callin): Improve handling
	of Unix style passwd files.

